import React from 'react';
import ReactDOM from 'react-dom';

class BookingFormButton extends React.Component {
  handleSubmit = () => {
    this.props.onFormSubmit();
  };

  render() {
    return (
      <div className='booking-button form-group'>
        <button
          type="button"
          className="btn btn-primary"
          onClick={this.handleSubmit}
          disabled={this.props.buttonDisabled}
        >
         {Drupal.t('Book')}
        </button>
      </div>
    );
  }
}

export default BookingFormButton;
